[android-components](../../../index.md) / [mozilla.components.concept.push](../../index.md) / [PushError](../index.md) / [Rust](./index.md)

# Rust

`data class Rust : `[`PushError`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/push/src/main/java/mozilla/components/concept/push/PushProcessor.kt#L104)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Rust(cause: `[`Throwable`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-throwable/index.html)`?, message: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` = cause?.message.orEmpty())` |

### Properties

| Name | Summary |
|---|---|
| [cause](cause.md) | `val cause: `[`Throwable`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-throwable/index.html)`?`<br>Original exception from Rust code. |
| [message](message.md) | `val message: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
